import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { ASGeneratedPasswordKind } from "./ASGeneratedPasswordKind.js";
export declare class _ASGeneratedPassword extends _NSObject {
    static alloc(): _ASGeneratedPassword;
    static new(): _ASGeneratedPassword;
    init(): _ASGeneratedPassword;
    initWithKind$value$(kind: ASGeneratedPasswordKind, value: _NSString): _ASGeneratedPassword;
    /** The kind of password that this represents. */
    kind(): ASGeneratedPasswordKind;
    /**
     * The user-visible description of this password, derived from the kind. This may be shown to help with selecting the desired password.
     */
    localizedName(): _NSString;
    /** The value of the password. */
    value(): _NSString;
}
export interface _ASGeneratedPassword extends _NSCopying, _NSSecureCoding {
}
